@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.kochi-archive-area {
	--kochi-news-link-color: #000;
	--kochi-news-link-border-color: #d4d4d4;
	--kochi-news-link-hover-color: #004ea2;
}

[data-theme='blue-theme'] .kochi-archive-area {
	--kochi-news-link-color: #fff;
	--kochi-news-link-border-color: #4f92d9;
	--kochi-news-link-hover-color: #fff;
}

[data-theme='black-theme'] .kochi-archive-area {
	--kochi-news-link-color: #fff;
	--kochi-news-link-border-color: #d4d4d4;
	--kochi-news-link-hover-color: #fff;
}

.kochi-archive-area {
	margin-inline: auto;
	max-width: 1008px;
}

.kochi-archive-content .kochi-archive-list {
	padding-inline: 24px;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item {
	border-block-end: 1px solid var(--kochi-news-link-border-color);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item:first-child {
	border-block-start: 1px solid var(--kochi-news-link-border-color);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
	display: grid;
	align-items: center;
	color: var(--kochi-news-link-color);
	font-size: var(--font-size-small);
	text-decoration: none;
	overflow: hidden;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a::after {
	content: '';
	background-color: var(--kochi-news-link-hover-color);
	-webkit-mask-image: url(../images/icon/arrow-right.svg);
	mask-image: url(../images/icon/arrow-right.svg);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	transition: left 300ms ease;
	position: relative;
	z-index: 1;
	left: 0;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-content {
	display: grid;
	grid-template-columns: auto 1fr;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-category {
	display: flex;
	flex-wrap: wrap;
	row-gap: 8px;
	color: var(--kochi-news-link-hover-color);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-title {
	grid-column: 1/3;
	grid-row: 2/3;
	transition: color 300ms ease;
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a:hover .kochi-archive-item-title,
.kochi-archive-content .kochi-archive-list .kochi-archive-item > a:active .kochi-archive-item-title,
.kochi-archive-content .kochi-archive-list .kochi-archive-item > a:focus-visible .kochi-archive-item-title {
	color: var(--kochi-news-link-hover-color);
}

.kochi-archive-content .kochi-archive-list .kochi-archive-item > a:hover::after,
.kochi-archive-content .kochi-archive-list .kochi-archive-item > a:active::after,
.kochi-archive-content .kochi-archive-list .kochi-archive-item > a:focus-visible::after {
	left: 8px;
}

@media screen and (max-width: 1024px) {

	.kochi-archive-area {
		padding-block-end: 48px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
		grid-template-columns: 1fr 18px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a::after {
		-webkit-mask-size: 18px 18px;
		mask-size: 18px 18px;
		width: 18px;
		height: 18px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-content {
		row-gap: 8px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-title {
		font-size: var(--font-size-p-sp);
	}
}

@media screen and (min-width: 1025px) {

	.kochi-archive-area {
		padding-block-end: 80px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
		grid-template-columns: 1fr 24px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a::after {
		-webkit-mask-size: 24px 24px;
		mask-size: 24px 24px;
		width: 24px;
		height: 24px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-content {
		row-gap: 24px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-title {
		font-size: var(--font-size-p-pc);
	}
}

@media screen and (max-width: 768px) {

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
		padding-block: 16px;
		padding-inline: 12px;
		-moz-column-gap: 8px;
		column-gap: 8px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-content {
		-moz-column-gap: 8px;
		column-gap: 8px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-category {
		-moz-column-gap: 8px;
		column-gap: 8px;
	}
}

@media screen and (min-width: 769px) {

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a {
		padding-block: 24px;
		padding-inline: 24px;
		-moz-column-gap: 16px;
		column-gap: 16px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-content {
		-moz-column-gap: 24px;
		column-gap: 24px;
	}

	.kochi-archive-content .kochi-archive-list .kochi-archive-item > a .kochi-archive-item-category {
		-moz-column-gap: 24px;
		column-gap: 24px;
	}
}
